Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 415635 - [Tracker] packages failing with python:3.2 as default python interpreter
Summary: [Tracker] packages failing with python:3.2 as default python interpreter
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: Tracker
Depends on: 346107 381759 381809 385401 390153 415461 415507 415631 419813 420213
Blocks:
  Show dependency tree
 
Reported: 2012-05-12 21:50 UTC by Michael Weber (RETIRED)
Modified: 2017-05-15 10:02 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Weber (RETIRED) gentoo-dev 2012-05-12 21:50:46 UTC
Background:

The currently generated stage3 tarballs (at least amd64) have python-3.2.2 as default python version, which works mostly but leads to some related bugs.

These bugs shall be tracked here.
Comment 1 Dirkjan Ochtman gentoo-dev 2012-05-13 09:16:22 UTC
How time-sensitive is this? We could also contemplate setting the default version back to 2.7.
Comment 2 Ben de Groot (RETIRED) gentoo-dev 2012-06-18 13:04:48 UTC
(In reply to comment #1)
> How time-sensitive is this? We could also contemplate setting the default
> version back to 2.7.

We should definitely revert to python:2.7 as default. Python3 is not ready for prime time yet. 

I just closed bug #420213 as CANTFIX... Maybe we should keep it open? Is there another possible solution here?